--
-- @file mod_ error-reporter.sql
-- Table definitions for iserv-mod-error-reporter
-- @author Roland Hieber (roland.hieber@wilhelm-gym.net)
-- @date 27.10.2007
-- 
-- Copyright © 2007 Roland Hieber
-- 
-- Permission is hereby granted, free of charge, to any person obtaining
-- copy of this software and associated documentation files (the "Software"),
-- to deal in the Software without restriction, including without limitation
-- the rights to use, copy, modify, merge, publish, distribute, sublicense,
-- and/or sell copies of the Software, and to permit persons to whom the
-- Software is furnished to do so, subject to the following conditions:
-- 
-- The above copyright notice and this permission notice shall be included in
-- all copies or substantial portions of the Software.
-- 
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-- FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-- AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-- LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-- OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-- THE SOFTWARE.
--

CREATE TABLE mod_errorreporter (
  er_uid          SERIAL                      NOT NULL PRIMARY KEY,
  er_date         TIMESTAMP WITHOUT TIME ZONE NOT NULL,
  er_act          TEXT                        NOT NULL
                  REFERENCES users(act)
                  ON DELETE CASCADE
                  ON UPDATE CASCADE,
  er_machine      TEXT                        NOT NULL,
  er_text         TEXT                        NOT NULL,
  er_status       SMALLINT                    NOT NULL DEFAULT 0,
  er_comment      TEXT,
  er_commentact   TEXT,
  er_hidden       BOOL
);

GRANT SELECT, INSERT, UPDATE, DELETE ON mod_errorreporter, mod_errorreporter_er_uid_seq TO webadm;
GRANT SELECT, INSERT, UPDATE, DELETE ON mod_errorreporter, mod_errorreporter_er_uid_seq TO webusr;
